main.cpp File Reference
`#include <QApplication>`
`#include "mainwindow.h"`
`#include "bird.h"`
`#include <cstdlib>`
`#include <time.h>`
`#include <QTimer>`
`#include <QObject>`
`#include <QDebug>`
`#include <QTime>`
`#include <QtMultimedia/QSound>`

## Functions

void | FilterBirds (Bird birds[], int N)
void | birth (MainWindow &w, const Bird &mom, const Bird &dad, Bird &child)
| Function that given references to objects mom, dad and child, uses the DNA of the father and the mother to generate DNA of the child. This function is edited by the student. More...
int | main (int argc, char *argv[])

## Function Documentation

void birth | ( | MainWindow & | w,
|  | const Bird & | mom,
|  | const Bird & | dad,
|  | Bird & | child
| ) |  |

Function that given references to objects mom, dad and child, uses the DNA of the father and the mother to generate DNA of the child. This function is edited by the student.

Parameters

  w | Reference to the main window
  mom | Reference to const object of type Bird.
  dad | Reference to const object of the Bird.
  child | Reference to object child that will be modified. ~Spanish Funcion que dado referencias a los objetos mom, dad, y child, usa el ADN de el padre (dad) y la madre (mom) para generar el ADN del nino (child). Esta funcion es editada por el estudiante.
  w | Referencia a la pantalla principal
  mom | Referencia al objeto constante de tipo Bird.
  dad | Referencia al objeto constante de tipo Bird.
  child | Referencia al objeto de tipo Bird a ser modificado.